function getQueryString(name) {
	let reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i');
	let r = window.location.search.substr(1).match(reg);
	if (r != null) {
		return unescape(r[2]);
	}
	return null;
}

function gotoReplyUrl() {
	var reply_url = getQueryString('replyUrl');

	if (reply_url) {
		try {
			window.location.replace(reply_url);
			const isReplaceTimmer = setTimeout(() => {
				if (location.host === 'localhost:9999') {
					window.location.href = reply_url;
				}

				clearTimeout(isReplaceTimmer);
			}, 2000);
		} catch (e) {
			console.error(e);
			window.location.href = reply_url;
		}

		// window.self.location = window.document.referrer
		// window.history.back();
		// window.location.href = reply_url;
	} else {
		window.history.back();
	}
}

function gotoSetting(settingKey) {
	if (!window.flutter_inappwebview) return gotoReplyUrl();

	window.flutter_inappwebview.callHandler('system_setting', settingKey).then(function(res) {
		if (!res) {
			return gotoReplyUrl();
		}
	});
}

async function testConnect() {
	const { status } = await fetch('https://mall.lookingpet.com/');
	return status == 200;
}

async function connectHelper(timmer) {
	const isConnect = await testConnect();
	const isLocalHost = window.location.hostname === 'localhost';

	if (isConnect && isLocalHost) {
		if (timmer) clearInterval(timmer);

		gotoReplyUrl();
	}
}

function mainStart() {
	connectHelper();

	var timmer;
	timmer = setInterval(() => {
		console.error('mainStart_timmer');
		connectHelper(timmer);
	}, 1000);
}

(async function() {
	mainStart();
})();

document.addEventListener('visibilitychange', function() {
	if (!document.hidden) {
		//处于当前页面
		mainStart();
	}
});
