function appLocStoUserWatcher() {
	if (!window.isSetLocalStorageWatcher) {
		console.log('@@@ isSetLocalStorageWatcher');

		window.isSetLocalStorageWatcher = 1;
		var orignalSetItem = localStorage.setItem;

		localStorage.setItem = function(key, newValue) {
			var params = {
				key,
				value: newValue
			};
			var setItemEvent = new Event('setItemEvent');
			setItemEvent.newValue = params;
			window.dispatchEvent(setItemEvent);
			orignalSetItem.apply(this, arguments);
		};

		window.addEventListener('setItemEvent', function(e) {
			if (e.newValue && e.newValue.key === 'zh_CN:userInfo') {
				try {
					// console.log('@@@ zh_CN:userInfo' + e.newValue.value);
					// window.AppUserInfo.postMessage(e.newValue.value);
					let accessToken = 'null';
					try{
						let userJSON = JSON.parse(e.newValue.value);
						let curToken = userJSON.data.accessToken

						if(curToken.length > 5){
							accessToken = curToken;
						}
					}catch(e){}
					window.flutter_inappwebview.callHandler('web_userInfo', accessToken, e.newValue.value)
				} catch (e) {
					console.error(e);
				}
			}
		});

		let hiddenProperty =
			'hidden' in document
				? 'hidden'
				: 'webkitHidden' in document ? 'webkitHidden' : 'mozHidden' in document ? 'mozHidden' : null;
		let visibilityChangeEvent = hiddenProperty.replace(/hidden/i, 'visibilitychange');
		let onVisibilityChange = function() {
			if (!document.hidden) {
				setTimeout(function() {
					try {
						console.log('@@@ refreshAccessToken');
						window.triggerLookingPet('refreshAccessToken');
					} catch (e) {}
				}, 1500);
			}
		};
		document.addEventListener(visibilityChangeEvent, onVisibilityChange);
	}
}
try {
	appLocStoUserWatcher();
} catch (e) {}
