window.DSbridge = {
	call: function(name, option, func = () => {}) {
		console.log(`======= ${name} ====`);

		try {
			if (/chooseImage/.test(name)) {
				// console.log('@@@chooseImage');

				try {
					window._lpaSDK('image_picker', 'getID').then((res) => {
						const [ isDid, data ] = res;
						if (!isDid) {
							lpErrReturn('', func);
						} else {
							func(
								JSON.stringify({
									code: 200,
									data: [ data ]
								})
							);
						}
					});
				} catch (error) {}
			} else if (/getImageBase64/.test(name)) {
				try {
					let finOption = JSON.stringify({
						...JSON.parse(option),
						isPrefix: false
					});

					window._lpaSDK('image_picker', 'getImgByPath', finOption).then((res) => {
						const [ isDid, data ] = res;

						if (!isDid) {
							lpErrReturn('', func);
						} else {
							func(
								JSON.stringify({
									code: 200,
									data: [ data ]
								})
							);

						}
					});
				} catch (error) {
					console.error(error);
				}

			} else {
				lpErrReturn('', func);
			}
		} catch (error) {
			lpErrReturn(error, func);
		}
	},
	hasNativeMethod: function(name) {
		var isNameInit = 'getNameSpace' === name;
		var isImgChoose = 'chooseImage' === name;
		var isImg64 = 'getImageBase64' === name;
		return isImgChoose || isImg64 || isNameInit;
	}
};

var lpErrReturn = (error = '', func) => {
	if (typeof func !== 'function') return;

	try {
		func(
			JSON.stringify({
				code: 300,
				data: '',
				errMsg: JSON.stringify(error)
			})
		);
	} catch (e) {
		console.error(e);
	}
};
